Bug 428771 - **/usr/lib/libnss3.so: undefined symbol: PR_UnloadLibrary**
**/usr/lib/libnss3.so: undefined symbol: PR_UnloadLibrary**
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
http://jira.freeswitch.org/browse/MDX...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 22:07 EST by Adam Twardowski
Modified: 2009-01-09 00:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:47:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Twardowski 2008-01-14 22:07:45 EST
Description of problem:


Version-Release number of selected component (if applicable): 3.11.7-10.fc8


How reproducible: 100%


Steps to Reproduce:
1. install freeswitch trunk http://www.freeswitch.org
2. enable mod_xml_cdr
3. run freeswitch
  
Actual results:
2008-01-12 17:30:45 [CRIT] switch_loadable_module.c:726
switch_loadable_module_load_file() Error Loading module
/home/adam/freeswitch-install/mod/mod_xml_cdr.so
**/usr/lib/libnss3.so: undefined symbol: PR_UnloadLibrary**

2008-01-12 17:30:48 [CRIT] switch_loadable_module.c:726
switch_loadable_module_load_file() Error Loading module
/home/adam/freeswitch-install/mod/mod_spidermonkey.so
**/usr/lib/libnss3.so: undefined symbol: PR_UnloadLibrary** 


Expected results: the module loads successfully


Additional info: this error doesn't occur on gentoo or CentOS 5.1
Comment 1 Kai Engert (:kaie) 2008-04-01 15:03:11 EDT
I can't think of a good reason why your system would report about a missing
PR_UnloadLibrary. It has been part of NSPR for a long time.

Are you sure you have the NSPR package installed?
Which version?

The NSS package has a dependency to NSPR, so I'm surprised.
Comment 2 Bug Zapper 2008-11-26 04:26:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:47:24 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.